Jira plugin development on Java 11

Has anyone tried to migrate a JIRA plugin from java 8 to java 11? Currently getting this error when I install the plugin to a jira with java 11 running.

Caused by: org.osgi.framework.BundleException: Error creating requirement: java.lang.IllegalArgumentException: Null or empty filter.

Thank you.